
$(document).ready(function(){
    var $arrImage = [],
        arrImageUrl = [],
        strImageUrls = '';

    var reImg = new RegExp("^http://bbs.smartisan.com/static/image/smiley/emoji\\d+/\\w+.gif$",'gi');
    var reLink = new RegExp('^http://bbs.smartisan.com/thread-[0-9]+-[0-9]+-[0-9]+.html$','gi');

    /*
     * 遍历所有 img 标签
     * 排除 emoji 表情的图片
     * 建立其他图片的 url 数组
     */
    $('img').each(function() {
        var $img = $(this),
            imageUrl = $img.attr('src');

        if ( !imageUrl.match(reImg) ) {
            $img.css({display: 'block', margin: '10px 0'});

            $arrImage.push($img); // 需要绑定点击事件的 jquery dom
            arrImageUrl.push(imageUrl); // 所有 src 的数组
            try {
                window.mWebViewImageListener.loadImage(imageUrl);  // 执行安卓端的方法
            }
            catch (err) {}
        } else {
            $img.css({position: 'relative', top: '3px'});
        }
    });

    // 整合成需要传递的参数
    strImageUrls = arrImageUrl.join(',');

    // 如果包含需要指定的方法，则绑定
    if ( !!window.mWebViewImageListener.onImageClick ) {
        $.each($arrImage, function(index, item) {
            $(this).on('click', function() {
                try {
                    window.mWebViewImageListener.onImageClick(strImageUrls, index);
                }
                catch (err) {}
            });
        });
    }

    /*
     *  链接处理
     */
   if ( !!window.mWebViewImageListener.onImageClick ) {
       $('a').each(function() {
           var $link = $(this),
               href = $link.attr('href');

           if( !!href.match(reLink) ){
               $link.on('click', function(event) {
                   try {
                      window.mWebViewImageListener.openLink(href);
                   }
                   catch (err) {}
                   return false;
               });
           }
       });
   }
});